pro replace_bad_pixels,image,image_clean,badpixelimage, $
                       clear=clear

if (defined(badpixelimage) EQ 0) || keyword_set(claer) then begin
    badpixelimage=bytarr(size(image,/dimensions))
    badpixelimage[*]=0b
endif

image_clean=image

nan_inf_region=where(image EQ "nan" or image EQ "inf" or image EQ "-inf",count)
if count GT 0 then begin
    image_clean[nan_inf_region]=0.0
    badpixelimage[nan_inf_region]=1B
endif

sat_region=where(image LT -1000.,count)
if count GT 0 then begin
    image_clean[sat_region]=-1000.
    badpixelimage[sat_region]=1B
endif

end
